local grafana = import 'grafonnet/grafana.libsonnet';

{
  gaugePanel1: grafana.gaugePanel.new(
         title='Total Physical memory1',
         # Direct queries to the `Prometheus` data source
         datasource='Prometheus',
         unit='deckbytes',  
  ),
  gaugePanel2: grafana.gaugePanel.new(
         title='Available Physical memory1',
         # Direct queries to the `Prometheus` data source
         datasource='Prometheus',
         min=0,
         #labelY1='Available memory',
         #fill=0,
         decimals=2,
         unit='deckbytes',
         #decimalsY1=0,
         #sort='decreasing',
         #slegend_alignAsTable=true,
         #legend_values=true,
         #legend_avg=true,
         #legend_current=true,
         #legend_max=true,
         #legend_sort='current',
         #legend_sortDesc=true,
  ),
  gaugePanel3: grafana.gaugePanel.new(
          title='Consumed Physical memory1',
         # Direct queries to the `Prometheus` data source
         datasource='Prometheus',
         min=0,
         #labelY1='Consumed memory',
         #fill=0,
         decimals=2,
         unit='deckbytes',
         #decimalsY1=0,
         #sort='decreasing',
         #slegend_alignAsTable=true,
         #legend_values=true,
         #legend_avg=true,
         #legend_current=true,
         #legend_max=true,
         #legend_sort='current',
         #legend_sortDesc=true,
  ),
  
}