local grafana = import 'grafonnet/grafana.libsonnet';

{
  prometheusDs: grafana.template.datasource(
    'PROMETHEUS_DS',
    'prometheus',
    'Prometheus',
    hide='label',
  ),
  applicationTemplate: grafana.template.new(
    'application',
    '$PROMETHEUS_DS',
    'label_values(application)',
    label='Application',
    refresh='time',
  ),
  instanceTemplate: grafana.template.new(
    'instance',
    '$PROMETHEUS_DS',
    'label_values(jvm_memory_used_bytes{application="$application"}, instance)',
    label='Instance',
    refresh='time',
  ),
   testTemplate: grafana.template.new(
    'test',
    '$PROMETHEUS_DS',
    'label_values(test)',
    label='test',
    refresh='time',
  ),
     testTemplate1: grafana.template.new(
    'test2',
    '$PROMETHEUS_DS',
    'label_values(test)',
    label='test',
    refresh='time',
  ),
}